<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "car_count".
 *
 * @property integer $id
 * @property string $car_no
 * @property string $id_man
 * @property integer $num
 * @property integer $location
 * @property string $created_at
 * @property string $updated_at
 */
class CarCount extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'car_count';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['num', 'location'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['car_no', 'id_man'], 'string', 'max' => 50],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'car_no' => 'Car No',
            'id_man' => 'Id Man',
            'num' => 'Num',
            'location' => 'Location',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
